## org.eclipse.datatools.connectivity.oda.design.util
Class DesignSwitch<T>

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.design.util.DesignSwitch<T>

    public class DesignSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `DesignPackage`

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`DesignSwitch()` Creates an instance of the switch.

Method Summary
`T` `caseAndExpression(AndExpression object)` Returns the result of interpreting the object as an instance of 'And Expression'.
`T` `caseAtomicExpressionContext(AtomicExpressionContext object)` Returns the result of interpreting the object as an instance of 'Atomic Expression Context'.
`T` `caseAxisAttributes(AxisAttributes object)` Returns the result of interpreting the object as an instance of 'Axis Attributes'.
`T` `caseColumnDefinition(ColumnDefinition object)` Returns the result of interpreting the object as an instance of 'Column Definition'.
`T` `caseCompositeFilterExpression(CompositeFilterExpression object)` Returns the result of interpreting the object as an instance of 'Composite Filter Expression'.
`T` `caseCustomData(CustomData object)` Returns the result of interpreting the object as an instance of 'Custom Data'.
`T` `caseCustomFilterExpression(CustomFilterExpression object)` Returns the result of interpreting the object as an instance of 'Custom Filter Expression'.
`T` `caseDataAccessDesign(DataAccessDesign object)` Returns the result of interpreting the object as an instance of 'Data Access Design'.
`T` `caseDataElementAttributes(DataElementAttributes object)` Returns the result of interpreting the object as an instance of 'Data Element Attributes'.
`T` `caseDataElementIdentifier(DataElementIdentifier object)` Returns the result of interpreting the object as an instance of 'Data Element Identifier'.
`T` `caseDataElementIdentifiers(DataElementIdentifiers object)` Returns the result of interpreting the object as an instance of 'Data Element Identifiers'.
`T` `caseDataElementUIHints(DataElementUIHints object)` Returns the result of interpreting the object as an instance of 'Data Element UI Hints'.
`T` `caseDataSetDesign(DataSetDesign object)` Returns the result of interpreting the object as an instance of 'Data Set Design'.
`T` `caseDataSetParameters(DataSetParameters object)` Returns the result of interpreting the object as an instance of 'Data Set Parameters'.
`T` `caseDataSetQuery(DataSetQuery object)` Returns the result of interpreting the object as an instance of 'Data Set Query'.
`T` `caseDataSourceDesign(DataSourceDesign object)` Returns the result of interpreting the object as an instance of 'Data Source Design'.
`T` `caseDesignerState(DesignerState object)` Returns the result of interpreting the object as an instance of 'Designer State'.
`T` `caseDesignerStateContent(DesignerStateContent object)` Returns the result of interpreting the object as an instance of 'Designer State Content'.
`T` `caseDesignSessionRequest(DesignSessionRequest object)` Returns the result of interpreting the object as an instance of 'Session Request'.
`T` `caseDesignSessionResponse(DesignSessionResponse object)` Returns the result of interpreting the object as an instance of 'Session Response'.
`T` `caseDocumentRoot(DocumentRoot object)` Returns the result of interpreting the object as an instance of 'Document Root'.
`T` `caseDynamicFilterExpression(DynamicFilterExpression object)` Returns the result of interpreting the object as an instance of 'Dynamic Filter Expression'.
`T` `caseDynamicValuesQuery(DynamicValuesQuery object)` Returns the result of interpreting the object as an instance of 'Dynamic Values Query'.
`T` `caseExpressionArguments(ExpressionArguments object)` Returns the result of interpreting the object as an instance of 'Expression Arguments'.
`T` `caseExpressionParameterDefinition(ExpressionParameterDefinition object)` Returns the result of interpreting the object as an instance of 'Expression Parameter Definition'.
`T` `caseExpressionParameters(ExpressionParameters object)` Returns the result of interpreting the object as an instance of 'Expression Parameters'.
`T` `caseExpressionVariable(ExpressionVariable object)` Returns the result of interpreting the object as an instance of 'Expression Variable'.
`T` `caseFilterExpression(FilterExpression object)` Returns the result of interpreting the object as an instance of 'Filter Expression'.
`T` `caseFilterExpressionType(FilterExpressionType object)` Returns the result of interpreting the object as an instance of 'Filter Expression Type'.
`T` `caseInputElementAttributes(InputElementAttributes object)` Returns the result of interpreting the object as an instance of 'Input Element Attributes'.
`T` `caseInputElementUIHints(InputElementUIHints object)` Returns the result of interpreting the object as an instance of 'Input Element UI Hints'.
`T` `caseInputParameterAttributes(InputParameterAttributes object)` Returns the result of interpreting the object as an instance of 'Input Parameter Attributes'.
`T` `caseInputParameterUIHints(InputParameterUIHints object)` Returns the result of interpreting the object as an instance of 'Input Parameter UI Hints'.
`T` `caseLocale(Locale object)` Returns the result of interpreting the object as an instance of 'Locale'.
`T` `caseNameValuePair(NameValuePair object)` Returns the result of interpreting the object as an instance of 'Name Value Pair'.
`T` `caseNotExpression(NotExpression object)` Returns the result of interpreting the object as an instance of 'Not Expression'.
`T` `caseOdaDesignSession(OdaDesignSession object)` Returns the result of interpreting the object as an instance of 'Oda Design Session'.
`T` `caseOrExpression(OrExpression object)` Returns the result of interpreting the object as an instance of 'Or Expression'.
`T` `caseOutputElementAttributes(OutputElementAttributes object)` Returns the result of interpreting the object as an instance of 'Output Element Attributes'.
`T` `caseParameterDefinition(ParameterDefinition object)` Returns the result of interpreting the object as an instance of 'Parameter Definition'.
`T` `caseParameterFieldDefinition(ParameterFieldDefinition object)` Returns the result of interpreting the object as an instance of 'Parameter Field Definition'.
`T` `caseParameterFields(ParameterFields object)` Returns the result of interpreting the object as an instance of 'Parameter Fields'.
`T` `caseProperties(Properties object)` Returns the result of interpreting the object as an instance of 'Properties'.
`T` `caseProperty(Property object)` Returns the result of interpreting the object as an instance of 'Property'.
`T` `casePropertyAttributes(PropertyAttributes object)` Returns the result of interpreting the object as an instance of 'Property Attributes'.
`T` `caseResourceIdentifiers(ResourceIdentifiers object)` Returns the result of interpreting the object as an instance of 'Resource Identifiers'.
`T` `caseResultSetColumns(ResultSetColumns object)` Returns the result of interpreting the object as an instance of 'Result Set Columns'.
`T` `caseResultSetCriteria(ResultSetCriteria object)` Returns the result of interpreting the object as an instance of 'Result Set Criteria'.
`T` `caseResultSetDefinition(ResultSetDefinition object)` Returns the result of interpreting the object as an instance of 'Result Set Definition'.
`T` `caseResultSets(ResultSets object)` Returns the result of interpreting the object as an instance of 'Result Sets'.
`T` `caseResultSubset(ResultSubset object)` Returns the result of interpreting the object as an instance of 'Result Subset'.
`T` `caseScalarValueChoices(ScalarValueChoices object)` Returns the result of interpreting the object as an instance of 'Scalar Value Choices'.
`T` `caseScalarValueDefinition(ScalarValueDefinition object)` Returns the result of interpreting the object as an instance of 'Scalar Value Definition'.
`T` `caseSortKey(SortKey object)` Returns the result of interpreting the object as an instance of 'Sort Key'.
`T` `caseSortSpecification(SortSpecification object)` Returns the result of interpreting the object as an instance of 'Sort Specification'.
`T` `caseStaticValues(StaticValues object)` Returns the result of interpreting the object as an instance of 'Static Values'.
`T` `caseValueFormatHints(ValueFormatHints object)` Returns the result of interpreting the object as an instance of 'Value Format Hints'.
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`T` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### DesignSwitch

    public DesignSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAndExpression

    public T caseAndExpression(AndExpression object)

  Returns the result of interpreting the object as an instance of 'And Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'And Expression'.
  See Also:
    `doSwitch(EObject)`

### caseAtomicExpressionContext

    public T caseAtomicExpressionContext(AtomicExpressionContext object)

  Returns the result of interpreting the object as an instance of 'Atomic Expression Context'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Atomic Expression Context'.
  See Also:
    `doSwitch(EObject)`

### caseAxisAttributes

    public T caseAxisAttributes(AxisAttributes object)

  Returns the result of interpreting the object as an instance of 'Axis Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Axis Attributes'.
  See Also:
    `doSwitch(EObject)`

### caseColumnDefinition

    public T caseColumnDefinition(ColumnDefinition object)

  Returns the result of interpreting the object as an instance of 'Column Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Column Definition'.
  See Also:
    `doSwitch(EObject)`

### caseCompositeFilterExpression

    public T caseCompositeFilterExpression(CompositeFilterExpression object)

  Returns the result of interpreting the object as an instance of 'Composite Filter Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Composite Filter Expression'.
  See Also:
    `doSwitch(EObject)`

### caseCustomData

    public T caseCustomData(CustomData object)

  Returns the result of interpreting the object as an instance of 'Custom Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Custom Data'.
  See Also:
    `doSwitch(EObject)`

### caseCustomFilterExpression

    public T caseCustomFilterExpression(CustomFilterExpression object)

  Returns the result of interpreting the object as an instance of 'Custom Filter Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Custom Filter Expression'.
  See Also:
    `doSwitch(EObject)`

### caseDataAccessDesign

    public T caseDataAccessDesign(DataAccessDesign object)

  Returns the result of interpreting the object as an instance of 'Data Access Design'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Access Design'.
  See Also:
    `doSwitch(EObject)`

### caseDataElementAttributes

    public T caseDataElementAttributes(DataElementAttributes object)

  Returns the result of interpreting the object as an instance of 'Data Element Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Element Attributes'.
  See Also:
    `doSwitch(EObject)`

### caseDataElementIdentifier

    public T caseDataElementIdentifier(DataElementIdentifier object)

  Returns the result of interpreting the object as an instance of 'Data Element Identifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Element Identifier'.
  See Also:
    `doSwitch(EObject)`

### caseDataElementIdentifiers

    public T caseDataElementIdentifiers(DataElementIdentifiers object)

  Returns the result of interpreting the object as an instance of 'Data Element Identifiers'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Element Identifiers'.
  See Also:
    `doSwitch(EObject)`

### caseDataElementUIHints

    public T caseDataElementUIHints(DataElementUIHints object)

  Returns the result of interpreting the object as an instance of 'Data Element UI Hints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Element UI Hints'.
  See Also:
    `doSwitch(EObject)`

### caseDataSetDesign

    public T caseDataSetDesign(DataSetDesign object)

  Returns the result of interpreting the object as an instance of 'Data Set Design'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Set Design'.
  See Also:
    `doSwitch(EObject)`

### caseDataSetParameters

    public T caseDataSetParameters(DataSetParameters object)

  Returns the result of interpreting the object as an instance of 'Data Set Parameters'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Set Parameters'.
  See Also:
    `doSwitch(EObject)`

### caseDataSetQuery

    public T caseDataSetQuery(DataSetQuery object)

  Returns the result of interpreting the object as an instance of 'Data Set Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Set Query'.
  See Also:
    `doSwitch(EObject)`

### caseDataSourceDesign

    public T caseDataSourceDesign(DataSourceDesign object)

  Returns the result of interpreting the object as an instance of 'Data Source Design'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Source Design'.
  See Also:
    `doSwitch(EObject)`

### caseDesignerState

    public T caseDesignerState(DesignerState object)

  Returns the result of interpreting the object as an instance of 'Designer State'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Designer State'.
  See Also:
    `doSwitch(EObject)`

### caseDesignerStateContent

    public T caseDesignerStateContent(DesignerStateContent object)

  Returns the result of interpreting the object as an instance of 'Designer State Content'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Designer State Content'.
  See Also:
    `doSwitch(EObject)`

### caseDesignSessionRequest

    public T caseDesignSessionRequest(DesignSessionRequest object)

  Returns the result of interpreting the object as an instance of 'Session Request'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Session Request'.
  See Also:
    `doSwitch(EObject)`

### caseDesignSessionResponse

    public T caseDesignSessionResponse(DesignSessionResponse object)

  Returns the result of interpreting the object as an instance of 'Session Response'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Session Response'.
  See Also:
    `doSwitch(EObject)`

### caseDocumentRoot

    public T caseDocumentRoot(DocumentRoot object)

  Returns the result of interpreting the object as an instance of 'Document Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Document Root'.
  See Also:
    `doSwitch(EObject)`

### caseDynamicFilterExpression

    public T caseDynamicFilterExpression(DynamicFilterExpression object)

  Returns the result of interpreting the object as an instance of 'Dynamic Filter Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dynamic Filter Expression'.
  See Also:
    `doSwitch(EObject)`

### caseDynamicValuesQuery

    public T caseDynamicValuesQuery(DynamicValuesQuery object)

  Returns the result of interpreting the object as an instance of 'Dynamic Values Query'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dynamic Values Query'.
  See Also:
    `doSwitch(EObject)`

### caseExpressionArguments

    public T caseExpressionArguments(ExpressionArguments object)

  Returns the result of interpreting the object as an instance of 'Expression Arguments'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Expression Arguments'.
  See Also:
    `doSwitch(EObject)`

### caseExpressionParameterDefinition

    public T caseExpressionParameterDefinition(ExpressionParameterDefinition object)

  Returns the result of interpreting the object as an instance of 'Expression Parameter Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Expression Parameter Definition'.
  See Also:
    `doSwitch(EObject)`

### caseExpressionParameters

    public T caseExpressionParameters(ExpressionParameters object)

  Returns the result of interpreting the object as an instance of 'Expression Parameters'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Expression Parameters'.
  See Also:
    `doSwitch(EObject)`

### caseExpressionVariable

    public T caseExpressionVariable(ExpressionVariable object)

  Returns the result of interpreting the object as an instance of 'Expression Variable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Expression Variable'.
  See Also:
    `doSwitch(EObject)`

### caseFilterExpression

    public T caseFilterExpression(FilterExpression object)

  Returns the result of interpreting the object as an instance of 'Filter Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Filter Expression'.
  See Also:
    `doSwitch(EObject)`

### caseFilterExpressionType

    public T caseFilterExpressionType(FilterExpressionType object)

  Returns the result of interpreting the object as an instance of 'Filter Expression Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Filter Expression Type'.
  See Also:
    `doSwitch(EObject)`

### caseInputElementAttributes

    public T caseInputElementAttributes(InputElementAttributes object)

  Returns the result of interpreting the object as an instance of 'Input Element Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Input Element Attributes'.
  See Also:
    `doSwitch(EObject)`

### caseInputElementUIHints

    public T caseInputElementUIHints(InputElementUIHints object)

  Returns the result of interpreting the object as an instance of 'Input Element UI Hints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Input Element UI Hints'.
  See Also:
    `doSwitch(EObject)`

### caseInputParameterAttributes

    public T caseInputParameterAttributes(InputParameterAttributes object)

  Returns the result of interpreting the object as an instance of 'Input Parameter Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Input Parameter Attributes'.
  See Also:
    `doSwitch(EObject)`

### caseInputParameterUIHints

    public T caseInputParameterUIHints(InputParameterUIHints object)

  Returns the result of interpreting the object as an instance of 'Input Parameter UI Hints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Input Parameter UI Hints'.
  See Also:
    `doSwitch(EObject)`

### caseLocale

    public T caseLocale(Locale object)

  Returns the result of interpreting the object as an instance of 'Locale'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Locale'.
  See Also:
    `doSwitch(EObject)`

### caseNameValuePair

    public T caseNameValuePair(NameValuePair object)

  Returns the result of interpreting the object as an instance of 'Name Value Pair'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Name Value Pair'.
  See Also:
    `doSwitch(EObject)`

### caseNotExpression

    public T caseNotExpression(NotExpression object)

  Returns the result of interpreting the object as an instance of 'Not Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Not Expression'.
  See Also:
    `doSwitch(EObject)`

### caseOdaDesignSession

    public T caseOdaDesignSession(OdaDesignSession object)

  Returns the result of interpreting the object as an instance of 'Oda Design Session'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Oda Design Session'.
  See Also:
    `doSwitch(EObject)`

### caseOrExpression

    public T caseOrExpression(OrExpression object)

  Returns the result of interpreting the object as an instance of 'Or Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Or Expression'.
  See Also:
    `doSwitch(EObject)`

### caseOutputElementAttributes

    public T caseOutputElementAttributes(OutputElementAttributes object)

  Returns the result of interpreting the object as an instance of 'Output Element Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Output Element Attributes'.
  See Also:
    `doSwitch(EObject)`

### caseParameterDefinition

    public T caseParameterDefinition(ParameterDefinition object)

  Returns the result of interpreting the object as an instance of 'Parameter Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameter Definition'.
  See Also:
    `doSwitch(EObject)`

### caseParameterFieldDefinition

    public T caseParameterFieldDefinition(ParameterFieldDefinition object)

  Returns the result of interpreting the object as an instance of 'Parameter Field Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameter Field Definition'.
  See Also:
    `doSwitch(EObject)`

### caseParameterFields

    public T caseParameterFields(ParameterFields object)

  Returns the result of interpreting the object as an instance of 'Parameter Fields'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Parameter Fields'.
  See Also:
    `doSwitch(EObject)`

### caseProperties

    public T caseProperties(Properties object)

  Returns the result of interpreting the object as an instance of 'Properties'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Properties'.
  See Also:
    `doSwitch(EObject)`

### caseProperty

    public T caseProperty(Property object)

  Returns the result of interpreting the object as an instance of 'Property'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property'.
  See Also:
    `doSwitch(EObject)`

### casePropertyAttributes

    public T casePropertyAttributes(PropertyAttributes object)

  Returns the result of interpreting the object as an instance of 'Property Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property Attributes'.
  See Also:
    `doSwitch(EObject)`

### caseResourceIdentifiers

    public T caseResourceIdentifiers(ResourceIdentifiers object)

  Returns the result of interpreting the object as an instance of 'Resource Identifiers'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Resource Identifiers'.
  See Also:
    `doSwitch(EObject)`

### caseResultSetColumns

    public T caseResultSetColumns(ResultSetColumns object)

  Returns the result of interpreting the object as an instance of 'Result Set Columns'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Result Set Columns'.
  See Also:
    `doSwitch(EObject)`

### caseResultSetCriteria

    public T caseResultSetCriteria(ResultSetCriteria object)

  Returns the result of interpreting the object as an instance of 'Result Set Criteria'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Result Set Criteria'.
  See Also:
    `doSwitch(EObject)`

### caseResultSetDefinition

    public T caseResultSetDefinition(ResultSetDefinition object)

  Returns the result of interpreting the object as an instance of 'Result Set Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Result Set Definition'.
  See Also:
    `doSwitch(EObject)`

### caseResultSets

    public T caseResultSets(ResultSets object)

  Returns the result of interpreting the object as an instance of 'Result Sets'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Result Sets'.
  See Also:
    `doSwitch(EObject)`

### caseResultSubset

    public T caseResultSubset(ResultSubset object)

  Returns the result of interpreting the object as an instance of 'Result Subset'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Result Subset'.
  See Also:
    `doSwitch(EObject)`

### caseScalarValueChoices

    public T caseScalarValueChoices(ScalarValueChoices object)

  Returns the result of interpreting the object as an instance of 'Scalar Value Choices'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Scalar Value Choices'.
  See Also:
    `doSwitch(EObject)`

### caseScalarValueDefinition

    public T caseScalarValueDefinition(ScalarValueDefinition object)

  Returns the result of interpreting the object as an instance of 'Scalar Value Definition'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Scalar Value Definition'.
  See Also:
    `doSwitch(EObject)`

### caseSortKey

    public T caseSortKey(SortKey object)

  Returns the result of interpreting the object as an instance of 'Sort Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sort Key'.
  See Also:
    `doSwitch(EObject)`

### caseSortSpecification

    public T caseSortSpecification(SortSpecification object)

  Returns the result of interpreting the object as an instance of 'Sort Specification'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sort Specification'.
  See Also:
    `doSwitch(EObject)`

### caseStaticValues

    public T caseStaticValues(StaticValues object)

  Returns the result of interpreting the object as an instance of 'Static Values'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Static Values'.
  See Also:
    `doSwitch(EObject)`

### caseValueFormatHints

    public T caseValueFormatHints(ValueFormatHints object)

  Returns the result of interpreting the object as an instance of 'Value Format Hints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Value Format Hints'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`